Skip navigation

Aperture 2.1.4 with Mavericks

2052 Views 22 Replies Latest reply: Dec 30, 2013 4:11 AM by léonie RSS
1 2 Previous Next
jeremyevans Level 1 Level 1 (0 points)
Currently Being Moderated
Oct 26, 2013 7:51 AM

I am using Aperture 2.1.4 which worked perfectly for many years until I installed Mavericks. Now Aperture crashes every time I try to open it. What can I do?

iMac, OS X Mavericks (10.9)
  • Frank Caggiano Level 7 Level 7 (22,755 points)
    Currently Being Moderated
    Oct 26, 2013 8:43 AM (in response to jeremyevans)

    Upgrade to 3.5. Aperture 2 was a problem even with 10.7 and 10.8. There is no reason to expect software that old will continue to work indefinitely.

     

    You'll be doing yourself a favor by upgrading. The new version is a much better application.

     

    regards

  • léonie Level 8 Level 8 (46,355 points)
    Currently Being Moderated
    Oct 26, 2013 12:28 PM (in response to jeremyevans)

    I wonder if the upgrade is smooth and simple at replacing 2.1.4 library.

    Have a look at the Aperture Release Notes:  http://support.apple.com/kb/TS2518

    Scroll all the way down to "A Note on Upgrading".

    The upgrade is simple, and porobably smooth, but take some precautions.

     

    Don't upgrade without reliable backups.

    • Backup your Aperture 2 library and the Aperture 2 application.
    • Dont upgrade without rebuilding your Aperture library while still running Aperture 2.
    • If your Aperture 2 library should be on an external drive, that is not formatted MacOS X Extended journaled, move it to a drive formatted for mac before upgrading.

     

    Regards

    Léonie

  • léonie Level 8 Level 8 (46,355 points)
    Currently Being Moderated
    Oct 30, 2013 3:35 PM (in response to jeremyevans)
    I am now wondering if it would be simpler to revert to my previous OS since I was perfectly happy with the performance of Aperture 2.1.4 and am not particularly thrilled by other Maverick changes.

     

    I did not want to discourage you from upgrading to Aperture 3.5. It is worth it.I just mentioned highly useful precautions, to ensure you are safe, in case something happened during your upgrade.

     

    You cannot downgrade your system to Snowleopard by simply installing the older system on top of your newer system.

    • You will have to check, if some applications already have been upgraded to mavericks-only applications and files and databases been upgraded to Mavericks.
    • Then make a backup of current backup of your entire system, better two backups and check, if they are working.
    • Wipe your system drive by booting into recovery and running disk utility.
    • Insert your snow leopard installer and reinstall snowleopard.
    • Connect your backup drive and when prompted to migrate data abd settings,restore your data from the backup.
  • Frank Caggiano Level 7 Level 7 (22,755 points)
    Currently Being Moderated
    Oct 30, 2013 3:41 PM (in response to jeremyevans)

    To go back requires you have a backup of your system prior to install Mavericks. 

     

    See  OS X Mountain Lion: Revert to a previous OS X version

     

    While that refers to ML it will work for Mavericks also. However I would suggest you give Mavericks a chance,

  • NCBarrett Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 31, 2013 3:32 AM (in response to jeremyevans)

    Thanks for  information on how to downgrade.  I really want to keep Mavericks, however I have to spend at least a minimum of $120 ($80 Aperature 3.5 and $20 a piece for Numbers and Pages) to use my computer for what I used it for before I installed Mavericks. Not cool.

  • Smyth Wolfe Level 1 Level 1 (20 points)
    Currently Being Moderated
    Nov 23, 2013 9:12 AM (in response to jeremyevans)

    An $80.00 ugrade is not an option.Its not cool or okay. I can't help but think "how sad". Years of work harmed. Shame.

  • William Lloyd Level 6 Level 6 (19,205 points)
    Currently Being Moderated
    Nov 23, 2013 12:16 PM (in response to Smyth Wolfe)

    To expect 5-year-old software to continue working with all future OS versions forever is simply naïve.  There was nothing forcing you to upgrade your OS, but yes there's the chance that 5 year old software is not tested for compatibility, where there is a substantially newer version of Aperture available.

  • léonie Level 8 Level 8 (46,355 points)
    Currently Being Moderated
    Nov 27, 2013 6:42 AM (in response to jeremyevans)

    My iMac has always managed very nicely with 3GB memory, but will it be ok for Aperture 3.5?

    What kind of image formats and sizes are you processing? My older MBP  (4GB Memory) worked well with Aperture 3.2 and Snowleopard, but was very slow when I upgraded to Lion, particularly, when working with large scans (tiffs, 30 MB and larger). I upgraded all Macs to 8GB and more. With smaller image files it was o.k.

    Is the memory maxed out in your iMac, or could you add some memory modules?

    1. Switching between users takes much longer than previously.

    2. Shutting down also takes much longer, with a period when the screen just turns grey.

    I'd disable the "Restore windows" option in the general preferences.

     

    I don't  know about Windows 2008. Check  http://roaringapps.com/

     

    -- Léonie

  • léonie Level 8 Level 8 (46,355 points)
    Currently Being Moderated
    Nov 27, 2013 8:20 AM (in response to jeremyevans)
    Maybe that would be ok?

     

    Look at the tech specs.  http://www.apple.com/uk/aperture/specs/

     

    That could work, if you don't run memory-hogging applications concurrently to Aperture, for example Safari.

     

    Have you checked, if you could add more RAM to your iMac? The "About this MAc > More Info > Memory" tab should tell you, if it is possible.

    For my iMac I am seeing this:

    Screen Shot 2013-11-27 at 17.19.53GMT+1.png

1 2 Previous Next

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.